using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] st = Console.ReadLine().Split(' ');
            int n = int.Parse(st[0]), q = int.Parse(st[1]);
            int[] a = new int[n], b = new int[q];
            st = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(st[i]);
            }
            for(int i = 0; i < n; i++)
            {
                for(int j = i; j < n; j++)
                {
                    if (a[i] > a[j])
                    {
                        int tmp = a[i];
                        a[i] = a[j];
                        a[j] = tmp;
                    }
                }
            }
            st = Console.ReadLine().Split(' ');
            for (int i = 0; i < q; i++)
            {
                int medijana = a[n / 2];
                if (medijana > int.Parse(st[i]))
                {
                    int j = 0;
                    while (j < n / 2 && a[j] <= int.Parse(st[i]))
                    {
                        j++;
                    }
                    Console.WriteLine(n - 2 * j + 1);
                }
                else if (medijana < int.Parse(st[i]) && int.Parse(st[i]) <= a[n - 1])
                {
                    int j = n / 2;
                    while (j < n && a[j + 1] < int.Parse(st[i]))
                    {
                        j++;
                    }
                    Console.WriteLine(2*j-n+2);
                }
                else if (medijana != int.Parse(st[i])) 
                {
                    Console.WriteLine(n);
                }
                else Console.WriteLine(0);
            }
            
        }
    }
}